%define Name Erlang
%define ver R12B
%define bname erlang
%define doc_format pdf
Name: %bname-doc-%doc_format
%define subver 5
Version: %ver.%subver
Release: alt1
Summary: Documentation for Erlang/OTP in PDF format
License: EPL
Group: Development/Documentation
URL: http://www.%bname.org
Source: otp_doc_%{doc_format}_%ver-%subver.tar
BuildArch: noarch
Packager: Led <led@altlinux.ru>
AutoReq: no

%description
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains documentation for %Name/OTP in PDF format.


%prep
%setup -c


%install
install -d -m 0755 %buildroot%_docdir/%bname-%version/%doc_format
install -m 0644 * %buildroot%_docdir/%bname-%version/%doc_format/
for F in %buildroot%_docdir/%bname-%version/%doc_format/*.pdf; do
    S="$(basename "$F")"
    T="${S%%%%-*.pdf}.pdf"
    [ "$S" = "$T" ] || ln -sf "$S" %buildroot%_docdir/%bname-%version/%doc_format/"$T"
done


%files
%dir %_docdir/%bname-%version
%_docdir/%bname-%version/%doc_format


%changelog
* Thu Jan 29 2009 Led <led@altlinux.ru> R12B.5-alt1
- initial packaging
